# swagger
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Dart package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Build package: io.swagger.codegen.languages.DartClientCodegen

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: swagger
version: 1.0.0
description: Swagger API client
dependencies:
  swagger:
    git: https://github.com//.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  swagger:
    path: /path/to/swagger
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:swagger/api.dart';


var api_instance = new MoodApi();
var body = new Mood(); // Mood | 

try {
    api_instance.addMood(body);
} catch (e) {
    print("Exception when calling MoodApi->addMood: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *https://petstore.swagger.io/localhost:8080*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*MoodApi* | [**addMood**](../docs//MoodApi.md#addmood) | **POST** /mood | Add a mood
*MoodApi* | [**deleteMood**](../docs//MoodApi.md#deletemood) | **DELETE** /mood/{id} | Deletes a mood
*MoodApi* | [**findMoodByID**](../docs//MoodApi.md#findmoodbyid) | **GET** /mood/{id} | Finds mood by id
*MoodApi* | [**getAllMoods**](../docs//MoodApi.md#getallmoods) | **GET** /mood | Returns all moods
*MoodApi* | [**updateMood**](../docs//MoodApi.md#updatemood) | **PUT** /mood/{id} | Update an existing mood
*RoutineDataApi* | [**addRoutineData**](../docs//RoutineDataApi.md#addroutinedata) | **POST** /routine_data | Add a routine data
*RoutineDataApi* | [**deleteRoutineData**](../docs//RoutineDataApi.md#deleteroutinedata) | **DELETE** /routine_data/{id} | Deletes a routine data
*RoutineDataApi* | [**findRoutineDataByID**](../docs//RoutineDataApi.md#findroutinedatabyid) | **GET** /routine_data/{id} | Finds routine data by id
*RoutineDataApi* | [**getAllRoutineData**](../docs//RoutineDataApi.md#getallroutinedata) | **GET** /routine_data | Returns all routines data
*RoutineDataApi* | [**updateRoutineData**](../docs//RoutineDataApi.md#updateroutinedata) | **PUT** /routine_data/{id} | Update an existing routine data
*RoutineDayApi* | [**addRoutineDay**](../docs//RoutineDayApi.md#addroutineday) | **POST** /routine_day | Add a routine day
*RoutineDayApi* | [**deleteRoutineDay**](../docs//RoutineDayApi.md#deleteroutineday) | **DELETE** /routine_day/{id} | Deletes a routine day
*RoutineDayApi* | [**findRoutineDayByID**](../docs//RoutineDayApi.md#findroutinedaybyid) | **GET** /routine_day/{id} | Finds routine day by id
*RoutineDayApi* | [**getAllRoutineDay**](../docs//RoutineDayApi.md#getallroutineday) | **GET** /routine_day | Returns all routine days
*RoutineDayApi* | [**updateRoutineDay**](../docs//RoutineDayApi.md#updateroutineday) | **PUT** /routine_day/{id} | Update an existing routine day
*RoutinePlanApi* | [**addRoutinePlan**](../docs//RoutinePlanApi.md#addroutineplan) | **POST** /routine_plan | Add a routine plan
*RoutinePlanApi* | [**deleteRoutinePlan**](../docs//RoutinePlanApi.md#deleteroutineplan) | **DELETE** /routine_plan/{id} | Deletes a routine plan
*RoutinePlanApi* | [**findRoutinePlanByID**](../docs//RoutinePlanApi.md#findroutineplanbyid) | **GET** /routine_plan/{id} | Finds routine plan by id
*RoutinePlanApi* | [**getAllRoutinePlan**](../docs//RoutinePlanApi.md#getallroutineplan) | **GET** /routine_plan | Returns all routine plans
*RoutinePlanApi* | [**updateRoutinePlan**](../docs//RoutinePlanApi.md#updateroutineplan) | **PUT** /routine_plan/{id} | Update an existing routine plan
*SubjectApi* | [**findSubjectByName**](../docs//SubjectApi.md#findsubjectbyname) | **GET** /subject/{name} | Finds subject by name
*SubjectApi* | [**getAllSubjects**](../docs//SubjectApi.md#getallsubjects) | **GET** /subject | Returns all subjects
*TaskApi* | [**addTask**](../docs//TaskApi.md#addtask) | **POST** /task | Add a task
*TaskApi* | [**deleteTask**](../docs//TaskApi.md#deletetask) | **DELETE** /task/{id} | Deletes a task
*TaskApi* | [**findTaskByID**](../docs//TaskApi.md#findtaskbyid) | **GET** /task/{id} | Finds task by id
*TaskApi* | [**getAllTask**](../docs//TaskApi.md#getalltask) | **GET** /task | Returns all tasks
*TaskApi* | [**updateTask**](../docs//TaskApi.md#updatetask) | **PUT** /task/{id} | Update an existing task
*WeeklyRoutineApi* | [**addWeeklyRoutine**](../docs//WeeklyRoutineApi.md#addweeklyroutine) | **POST** /weekly_routine | Add a weekly routine
*WeeklyRoutineApi* | [**deleteWeeklyRoutine**](../docs//WeeklyRoutineApi.md#deleteweeklyroutine) | **DELETE** /weekly_routine/{id} | Deletes a weekly routine
*WeeklyRoutineApi* | [**findWeeklyRoutineByID**](../docs//WeeklyRoutineApi.md#findweeklyroutinebyid) | **GET** /weekly_routine/{id} | Finds weekly routine by id
*WeeklyRoutineApi* | [**getAllWeeklyRoutine**](../docs//WeeklyRoutineApi.md#getallweeklyroutine) | **GET** /weekly_routine | Returns all weekly routines
*WeeklyRoutineApi* | [**updateWeeklyRoutine**](../docs//WeeklyRoutineApi.md#updateweeklyroutine) | **PUT** /weekly_routine/{id} | Update an existing weekly routine


## Documentation For Models

 - [AdditionalInfo](../docs//AdditionalInfo.md)
 - [Mood](../docs//Mood.md)
 - [RoutineData](../docs//RoutineData.md)
 - [RoutineDay](../docs//RoutineDay.md)
 - [RoutinePlan](../docs//RoutinePlan.md)
 - [Subject](../docs//Subject.md)
 - [Task](../docs//Task.md)
 - [User](../docs//User.md)
 - [WeeklyRoutine](../docs//WeeklyRoutine.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author




