import 'package:date_format/date_format.dart';
import 'package:flutter/material.dart';
import 'package:notar_e_anotar_app/styles/global_styles.dart';
import 'package:flutter_localizations/flutter_localizations.dart';
import 'package:intl/intl.dart';

class TopCard extends StatelessWidget {
  final String name;
  final String tema;

  const TopCard({this.name, this.tema});

  @override
  Widget build(BuildContext context) {
    DateTime __data = new DateTime.now();
    return Container(
      padding: EdgeInsets.only(top: 8, bottom: 0, left: 24, right: 24),
      decoration: BoxDecoration(
          color: primaryFaded,
          boxShadow: cardBoxShadow,
          borderRadius: BorderRadiusDirectional.only(
              bottomStart: Radius.circular(25),
              bottomEnd: Radius.circular(25))),
      alignment: Alignment.center,
      width: double.infinity,
      height: MediaQuery.of(context).size.height * 0.25,
      child: SafeArea(
        child: SizedBox(
          child: Container(
            child: Row(
                mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                children: <Widget>[
                  Column(
                    children: [
                      Container(
                        child: CircleAvatar(
                          backgroundImage: AssetImage('images/avatar.png'),
                          radius: 40,
                        ),
                      ),
                    ],
                  ),
                  Column(
                    children: [
                      Container(
                        child: Column(
                          children: [
                            Text.rich(
                              TextSpan(
                                text: 'Olá,',
                                style:
                                    TextStyle(color: darkGreen, fontSize: 20),
                                children: <TextSpan>[
                                  TextSpan(
                                    text: ' $name',
                                    style: TextStyle(
                                        color: darkGreen,
                                        fontSize: 20,
                                        fontWeight: FontWeight.bold),
                                  ),
                                ],
                              ),
                            ),
                            Text(
                              "Semana Da Arte",
                              style: TextStyle(
                                  color: Colors.black38, fontSize: 15),
                            )
                          ],
                        ),
                      )
                    ],
                  ),
                  Column(
                    children: [
                      Container(
                        //color: Colors.teal.shade200,
                        height: 80,
                        width: 80,
                        decoration: BoxDecoration(
                            color: Colors.teal.shade200,
                            borderRadius: BorderRadius.circular(10)),
                        child: Column(
                          mainAxisAlignment: MainAxisAlignment.center,
                          children: [
                            Row(
                              mainAxisAlignment: MainAxisAlignment.center,
                              children: [
                                Text(
                                  DateFormat("dd").format(__data),
                                  style: TextStyle(
                                    fontSize: 30,
                                  ),
                                ),
                              ],
                            ),
                            Row(
                              mainAxisAlignment: MainAxisAlignment.center,
                              children: [
                                Text(
                                  DateFormat("EEE", "pt_BR").format(__data),
                                  style: TextStyle(
                                    fontSize: 20,
                                  ),
                                ),
                              ],
                            ),
                          ],
                        ),
                      )
                    ],
                  ),
                  /*Container(
                width: 80,
                height: 80,
                child: Image.asset('images/teste.png'),
                margin: EdgeInsets.all(10.0),
              ),
              Text(
                'Olá,',
                style: TextStyle(color: darkGreen, fontSize: 20),
                textAlign: TextAlign.center,
                maxLines: 2,
                overflow: TextOverflow.ellipsis,
              ),
              Text(
                ' $name!',
                style: TextStyle(
                    color: darkGreen, fontSize: 20, fontWeight: FontWeight.bold),
                textAlign: TextAlign.center,
                maxLines: 2,
                overflow: TextOverflow.ellipsis,
              ),*/
                ]),
          ),
        ),
      ),
    );
  }
}
