import 'package:flutter/material.dart';
import 'package:notar_e_anotar_app/components/task_card.dart';
import 'package:notar_e_anotar_app/components/top_card_user.dart';
import 'package:notar_e_anotar_app/pages/registration_activity.dart';
import 'package:notar_e_anotar_app/pages/weekly_evaluation.dart';
import 'package:notar_e_anotar_app/styles/global_styles.dart';

List<TaskCard> tasks = [
  TaskCard(
    title: "DESAFIO DO DIA",
    description: "Especificações do desafio aqui",
    challenge: false,
  )
];

class HomePage extends StatelessWidget {
  final String name = "Luana";
  final String tema = "Aprender a relaxar";

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        textTheme: Theme.of(context).textTheme,
        automaticallyImplyLeading: false,
        title: Padding(
          padding: const EdgeInsets.all(50),
          child: Text(
            'Home',
            style: TextStyle(color: darkGreen),
          ),
        ),
        backgroundColor: Colors.transparent,
        elevation: 0.0,
      ),
      extendBodyBehindAppBar: true,
      body: Column(
        children: [
          TopCard(name: this.name, tema: this.tema),
          ListBody(children: tasks)
        ],
      ),
      floatingActionButtonLocation: FloatingActionButtonLocation.centerFloat,
      floatingActionButton: Row(
        mainAxisAlignment: MainAxisAlignment.center,
        mainAxisSize: MainAxisSize.min,
        children: <Widget>[
          Padding(
              padding: EdgeInsets.all(20.0),
              child: ElevatedButton(
                  child: Text('Atividades'),
                  style: ButtonStyle(
                      minimumSize: MaterialStateProperty.all(Size(150, 44))),
                  onPressed: () {
                    Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => RegistrationActivity()));
                  })),
          Padding(
              padding: EdgeInsets.all(20.0),
              child: ElevatedButton(
                  child: Text('Avaliação'),
                  style: ButtonStyle(
                    minimumSize: MaterialStateProperty.all(Size(150, 44)),
                  ),
                  onPressed: () {
                    Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => WeeklyEvaluation()));
                  })),
        ],
      ),
    );
  }

  void goToOnBoarding(context) {
    Navigator.push(context,
        MaterialPageRoute(builder: (context) => RegistrationActivity()));
  }
}
