import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:notar_e_anotar_app/components/task_card.dart';
import 'package:notar_e_anotar_app/components/weekdays_card.dart';
import 'package:notar_e_anotar_app/pages/home_page.dart';
import 'package:notar_e_anotar_app/styles/global_styles.dart';

class RegistrationActivity extends StatefulWidget {
  @override
  _RegistrationActivityState createState() => _RegistrationActivityState();
}

class _RegistrationActivityState extends State<RegistrationActivity> {
  TextEditingController titleController = TextEditingController();
  bool _isSelected = false;
  final _formKey = GlobalKey<FormState>();
  final GlobalKey<ScaffoldState> scaffoldKey = GlobalKey<ScaffoldState>();
//fazer boolean is responsible or is depended, quando a pessoa criar no icone de sincronizar (ja tem no flutter), e troca td pra azul
  bool isBottomCardOpen = false;

  List<TaskCard> tasks = [
    TaskCard(
      title: "Limpar o quarto",
      description: "Especificações do desafio aqui",
      challenge: false,
    )
  ];

  List<AppBar> bar = [
    AppBar(
      actions: [],
    )
  ];

  void addCard(String title, String description, bool isChallenge) {
    tasks.add(TaskCard(
        title: title,
        description: description,
        challenge: isChallenge,
        callback: removeCard));
  }

  void removeCard(TaskCard card) {
    setState(() {
      tasks.remove(card);
    });
  }

  void itemChange(bool val, StateSetter state) {
    state(() {
      //use that state here
      _isSelected = val;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      key: scaffoldKey,
      appBar: AppBar(
        textTheme: Theme.of(context).textTheme,
        title: Text('1ª Semana'),
        actions: [Icon(Icons.cached)],
      ),
      backgroundColor: Colors.white,
      body: Column(
        mainAxisSize: MainAxisSize.max,
        crossAxisAlignment: CrossAxisAlignment.start,
        mainAxisAlignment: MainAxisAlignment.start,
        children: [
          WeekdaysCard(),
          Padding(
            padding: EdgeInsets.only(top: 200, left: 16, right: 16, bottom: 5),
            child: Row(
              mainAxisSize: MainAxisSize.max,
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              crossAxisAlignment: CrossAxisAlignment.center,
              children: [
                Text('TAREFAS E DESAFIOS',
                    textAlign: TextAlign.start,
                    style: Theme.of(context).textTheme.headline5),
              ],
            ),
          ),
          Expanded(
            child: Container(
              decoration: BoxDecoration(
                  color: primary,
                  borderRadius: BorderRadiusDirectional.only(
                      topStart: Radius.circular(25),
                      topEnd: Radius.circular(25))),
              padding: EdgeInsets.only(top: 8, bottom: kBottomSheetHeight),
              child: SingleChildScrollView(
                scrollDirection: Axis.vertical,
                physics: BouncingScrollPhysics(),
                child: ListBody(children: tasks),
              ),
            ),
          )
        ],
      ),
    );
  }
}
